[Buildroot] [PATCH v1 1/2] ell: new package

Thomas Petazzoni thomas.petazzoni at bootlin.com
Thu Nov 8 20:43:37 UTC 2018


Hello,

On Mon,  5 Nov 2018 23:04:25 +0100, Peter Seiderer wrote:
> Signed-off-by: Peter Seiderer <ps.report at gmx.net>

I've applied, after adjusting two things.

> ---
>  package/Config.in                             |  1 +
>  ...-standard-sigset_t-fixes-musl-compil.patch | 57 +++++++++++++++++++
>  package/ell/Config.in                         | 13 +++++
>  package/ell/ell.hash                          |  5 ++
>  package/ell/ell.mk                            | 27 +++++++++

You forgot to add an entry to the DEVELOPERS file.

> +comment "ell needs a toolchain w/ dynamic library, wchar"
> +	depends on BR2_STATIC_LIBS
> +	depends on !BR2_USE_WCHAR

This should have been:

+comment "ell needs a toolchain w/ dynamic library, wchar"
+       depends on BR2_TOOLCHAIN_HAS_SYNC_4
+       depends on BR2_STATIC_LIBS || !BR2_USE_WCHAR

Applied with those two issues fixed. Thanks!

Best regards,

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


More information about the buildroot mailing list